Subject: Re: [PATCH v2 0/3] Safer GIT_CURL_VERBOSE

From: Junio C Hamano <[email-masked]>
Date: Wed, 13 May 2020 12:33:37 -0700

Junio C Hamano <[email-masked]> writes:

> Jonathan Tan <[email-masked]> writes:
>
>> Thanks everyone. I went ahead with GIT_REDACT_AUTHORIZATION to match
>> GIT_REDACT_COOKIES, with the default being true (i.e. you need to set it
>> to "0" to have behavior change).
>
> Hmm, I would actually have expected us to move in the direction of
> deprecating specific REDACT_BLAH and consolidate them into one,
> instead of adding another one.  Especially as the primary reason why
> we redact cookies is to protect those that are used for auth anyway.

Also I had forgot to grep for anonymi.e to find transport_anonymize_url(),
which I was hoping that the new environment variable would cover to help
those who debug.

Thanks.